<!-- mdlint off(WHITESPACE_LINE_LENGTH) -->

# All symbols in tensorflow_graphics

*   <a href="./tfg.md"><code>tfg</code></a>
*   <a href="./tfg/geometry.md"><code>tfg.geometry</code></a>
*   <a href="./tfg/geometry/convolution.md"><code>tfg.geometry.convolution</code></a>
*   <a href="./tfg/geometry/convolution/graph_convolution.md"><code>tfg.geometry.convolution.graph_convolution</code></a>
*   <a href="./tfg/geometry/convolution/graph_convolution/edge_convolution_template.md"><code>tfg.geometry.convolution.graph_convolution.edge_convolution_template</code></a>
*   <a href="./tfg/geometry/convolution/graph_convolution/feature_steered_convolution.md"><code>tfg.geometry.convolution.graph_convolution.feature_steered_convolution</code></a>
*   <a href="./tfg/geometry/convolution/utils.md"><code>tfg.geometry.convolution.utils</code></a>
*   <a href="./tfg/geometry/convolution/utils/check_valid_graph_convolution_input.md"><code>tfg.geometry.convolution.utils.check_valid_graph_convolution_input</code></a>
*   <a href="./tfg/geometry/convolution/utils/check_valid_graph_pooling_input.md"><code>tfg.geometry.convolution.utils.check_valid_graph_pooling_input</code></a>
*   <a href="./tfg/geometry/convolution/utils/check_valid_graph_unpooling_input.md"><code>tfg.geometry.convolution.utils.check_valid_graph_unpooling_input</code></a>
*   <a href="./tfg/geometry/convolution/utils/convert_to_block_diag_2d.md"><code>tfg.geometry.convolution.utils.convert_to_block_diag_2d</code></a>
*   <a href="./tfg/geometry/convolution/utils/flatten_batch_to_2d.md"><code>tfg.geometry.convolution.utils.flatten_batch_to_2d</code></a>
*   <a href="./tfg/geometry/convolution/utils/partition_sums_2d.md"><code>tfg.geometry.convolution.utils.partition_sums_2d</code></a>
*   <a href="./tfg/geometry/convolution/utils/unflatten_2d_to_batch.md"><code>tfg.geometry.convolution.utils.unflatten_2d_to_batch</code></a>
*   <a href="./tfg/geometry/deformation_energy.md"><code>tfg.geometry.deformation_energy</code></a>
*   <a href="./tfg/geometry/deformation_energy/as_conformal_as_possible.md"><code>tfg.geometry.deformation_energy.as_conformal_as_possible</code></a>
*   <a href="./tfg/geometry/deformation_energy/as_conformal_as_possible/energy.md"><code>tfg.geometry.deformation_energy.as_conformal_as_possible.energy</code></a>
*   <a href="./tfg/geometry/representation.md"><code>tfg.geometry.representation</code></a>
*   <a href="./tfg/geometry/representation/grid.md"><code>tfg.geometry.representation.grid</code></a>
*   <a href="./tfg/geometry/representation/grid/generate.md"><code>tfg.geometry.representation.grid.generate</code></a>
*   <a href="./tfg/geometry/representation/mesh.md"><code>tfg.geometry.representation.mesh</code></a>
*   <a href="./tfg/geometry/representation/mesh/normals.md"><code>tfg.geometry.representation.mesh.normals</code></a>
*   <a href="./tfg/geometry/representation/mesh/normals/face_normals.md"><code>tfg.geometry.representation.mesh.normals.face_normals</code></a>
*   <a href="./tfg/geometry/representation/mesh/normals/gather_faces.md"><code>tfg.geometry.representation.mesh.normals.gather_faces</code></a>
*   <a href="./tfg/geometry/representation/mesh/normals/vertex_normals.md"><code>tfg.geometry.representation.mesh.normals.vertex_normals</code></a>
*   <a href="./tfg/geometry/representation/mesh/utils.md"><code>tfg.geometry.representation.mesh.utils</code></a>
*   <a href="./tfg/geometry/representation/mesh/utils/extract_unique_edges_from_triangular_mesh.md"><code>tfg.geometry.representation.mesh.utils.extract_unique_edges_from_triangular_mesh</code></a>
*   <a href="./tfg/geometry/representation/mesh/utils/get_degree_based_edge_weights.md"><code>tfg.geometry.representation.mesh.utils.get_degree_based_edge_weights</code></a>
*   <a href="./tfg/geometry/representation/point.md"><code>tfg.geometry.representation.point</code></a>
*   <a href="./tfg/geometry/representation/point/distance_to_ray.md"><code>tfg.geometry.representation.point.distance_to_ray</code></a>
*   <a href="./tfg/geometry/representation/point/project_to_ray.md"><code>tfg.geometry.representation.point.project_to_ray</code></a>
*   <a href="./tfg/geometry/representation/ray.md"><code>tfg.geometry.representation.ray</code></a>
*   <a href="./tfg/geometry/representation/ray/intersection_ray_sphere.md"><code>tfg.geometry.representation.ray.intersection_ray_sphere</code></a>
*   <a href="./tfg/geometry/representation/ray/triangulate.md"><code>tfg.geometry.representation.ray.triangulate</code></a>
*   <a href="./tfg/geometry/representation/triangle.md"><code>tfg.geometry.representation.triangle</code></a>
*   <a href="./tfg/geometry/representation/triangle/normal.md"><code>tfg.geometry.representation.triangle.normal</code></a>
*   <a href="./tfg/geometry/transformation.md"><code>tfg.geometry.transformation</code></a>
*   <a href="./tfg/geometry/transformation/axis_angle.md"><code>tfg.geometry.transformation.axis_angle</code></a>
*   <a href="./tfg/geometry/transformation/axis_angle/from_euler.md"><code>tfg.geometry.transformation.axis_angle.from_euler</code></a>
*   <a href="./tfg/geometry/transformation/axis_angle/from_euler_with_small_angles_approximation.md"><code>tfg.geometry.transformation.axis_angle.from_euler_with_small_angles_approximation</code></a>
*   <a href="./tfg/geometry/transformation/axis_angle/from_quaternion.md"><code>tfg.geometry.transformation.axis_angle.from_quaternion</code></a>
*   <a href="./tfg/geometry/transformation/axis_angle/from_rotation_matrix.md"><code>tfg.geometry.transformation.axis_angle.from_rotation_matrix</code></a>
*   <a href="./tfg/geometry/transformation/axis_angle/inverse.md"><code>tfg.geometry.transformation.axis_angle.inverse</code></a>
*   <a href="./tfg/geometry/transformation/axis_angle/is_normalized.md"><code>tfg.geometry.transformation.axis_angle.is_normalized</code></a>
*   <a href="./tfg/geometry/transformation/axis_angle/rotate.md"><code>tfg.geometry.transformation.axis_angle.rotate</code></a>
*   <a href="./tfg/geometry/transformation/euler.md"><code>tfg.geometry.transformation.euler</code></a>
*   <a href="./tfg/geometry/transformation/euler/from_axis_angle.md"><code>tfg.geometry.transformation.euler.from_axis_angle</code></a>
*   <a href="./tfg/geometry/transformation/euler/from_quaternion.md"><code>tfg.geometry.transformation.euler.from_quaternion</code></a>
*   <a href="./tfg/geometry/transformation/euler/from_rotation_matrix.md"><code>tfg.geometry.transformation.euler.from_rotation_matrix</code></a>
*   <a href="./tfg/geometry/transformation/euler/inverse.md"><code>tfg.geometry.transformation.euler.inverse</code></a>
*   <a href="./tfg/geometry/transformation/quaternion.md"><code>tfg.geometry.transformation.quaternion</code></a>
*   <a href="./tfg/geometry/transformation/quaternion/between_two_vectors_3d.md"><code>tfg.geometry.transformation.quaternion.between_two_vectors_3d</code></a>
*   <a href="./tfg/geometry/transformation/quaternion/conjugate.md"><code>tfg.geometry.transformation.quaternion.conjugate</code></a>
*   <a href="./tfg/geometry/transformation/quaternion/from_axis_angle.md"><code>tfg.geometry.transformation.quaternion.from_axis_angle</code></a>
*   <a href="./tfg/geometry/transformation/quaternion/from_euler.md"><code>tfg.geometry.transformation.quaternion.from_euler</code></a>
*   <a href="./tfg/geometry/transformation/quaternion/from_euler_with_small_angles_approximation.md"><code>tfg.geometry.transformation.quaternion.from_euler_with_small_angles_approximation</code></a>
*   <a href="./tfg/geometry/transformation/quaternion/from_rotation_matrix.md"><code>tfg.geometry.transformation.quaternion.from_rotation_matrix</code></a>
*   <a href="./tfg/geometry/transformation/quaternion/inverse.md"><code>tfg.geometry.transformation.quaternion.inverse</code></a>
*   <a href="./tfg/geometry/transformation/quaternion/is_normalized.md"><code>tfg.geometry.transformation.quaternion.is_normalized</code></a>
*   <a href="./tfg/geometry/transformation/quaternion/multiply.md"><code>tfg.geometry.transformation.quaternion.multiply</code></a>
*   <a href="./tfg/geometry/transformation/quaternion/normalize.md"><code>tfg.geometry.transformation.quaternion.normalize</code></a>
*   <a href="./tfg/geometry/transformation/quaternion/normalized_random_uniform.md"><code>tfg.geometry.transformation.quaternion.normalized_random_uniform</code></a>
*   <a href="./tfg/geometry/transformation/quaternion/normalized_random_uniform_initializer.md"><code>tfg.geometry.transformation.quaternion.normalized_random_uniform_initializer</code></a>
*   <a href="./tfg/geometry/transformation/quaternion/relative_angle.md"><code>tfg.geometry.transformation.quaternion.relative_angle</code></a>
*   <a href="./tfg/geometry/transformation/quaternion/rotate.md"><code>tfg.geometry.transformation.quaternion.rotate</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_2d.md"><code>tfg.geometry.transformation.rotation_matrix_2d</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_2d/from_euler.md"><code>tfg.geometry.transformation.rotation_matrix_2d.from_euler</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_2d/from_euler_with_small_angles_approximation.md"><code>tfg.geometry.transformation.rotation_matrix_2d.from_euler_with_small_angles_approximation</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_2d/inverse.md"><code>tfg.geometry.transformation.rotation_matrix_2d.inverse</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_2d/is_valid.md"><code>tfg.geometry.transformation.rotation_matrix_2d.is_valid</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_2d/rotate.md"><code>tfg.geometry.transformation.rotation_matrix_2d.rotate</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_3d.md"><code>tfg.geometry.transformation.rotation_matrix_3d</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_3d/assert_rotation_matrix_normalized.md"><code>tfg.geometry.transformation.rotation_matrix_3d.assert_rotation_matrix_normalized</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_3d/from_axis_angle.md"><code>tfg.geometry.transformation.rotation_matrix_3d.from_axis_angle</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_3d/from_euler.md"><code>tfg.geometry.transformation.rotation_matrix_3d.from_euler</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_3d/from_euler_with_small_angles_approximation.md"><code>tfg.geometry.transformation.rotation_matrix_3d.from_euler_with_small_angles_approximation</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_3d/from_quaternion.md"><code>tfg.geometry.transformation.rotation_matrix_3d.from_quaternion</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_3d/inverse.md"><code>tfg.geometry.transformation.rotation_matrix_3d.inverse</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_3d/is_valid.md"><code>tfg.geometry.transformation.rotation_matrix_3d.is_valid</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_3d/rotate.md"><code>tfg.geometry.transformation.rotation_matrix_3d.rotate</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_common.md"><code>tfg.geometry.transformation.rotation_matrix_common</code></a>
*   <a href="./tfg/geometry/transformation/rotation_matrix_common/is_valid.md"><code>tfg.geometry.transformation.rotation_matrix_common.is_valid</code></a>
*   <a href="./tfg/image.md"><code>tfg.image</code></a>
*   <a href="./tfg/image/color_space.md"><code>tfg.image.color_space</code></a>
*   <a href="./tfg/image/color_space/srgb.md"><code>tfg.image.color_space.srgb</code></a>
*   <a href="./tfg/image/color_space/srgb/from_linear.md"><code>tfg.image.color_space.srgb.from_linear</code></a>
*   <a href="./tfg/image/color_space/srgb/to_linear.md"><code>tfg.image.color_space.srgb.to_linear</code></a>
*   <a href="./tfg/image/pyramid.md"><code>tfg.image.pyramid</code></a>
*   <a href="./tfg/image/pyramid/downsample.md"><code>tfg.image.pyramid.downsample</code></a>
*   <a href="./tfg/image/pyramid/merge.md"><code>tfg.image.pyramid.merge</code></a>
*   <a href="./tfg/image/pyramid/split.md"><code>tfg.image.pyramid.split</code></a>
*   <a href="./tfg/image/pyramid/upsample.md"><code>tfg.image.pyramid.upsample</code></a>
*   <a href="./tfg/math.md"><code>tfg.math</code></a>
*   <a href="./tfg/math/interpolation.md"><code>tfg.math.interpolation</code></a>
*   <a href="./tfg/math/interpolation/bspline.md"><code>tfg.math.interpolation.bspline</code></a>
*   <a href="./tfg/math/interpolation/bspline/Degree.md"><code>tfg.math.interpolation.bspline.Degree</code></a>
*   <a href="./tfg/math/interpolation/bspline/interpolate.md"><code>tfg.math.interpolation.bspline.interpolate</code></a>
*   <a href="./tfg/math/interpolation/bspline/interpolate_with_weights.md"><code>tfg.math.interpolation.bspline.interpolate_with_weights</code></a>
*   <a href="./tfg/math/interpolation/bspline/knot_weights.md"><code>tfg.math.interpolation.bspline.knot_weights</code></a>
*   <a href="./tfg/math/interpolation/slerp.md"><code>tfg.math.interpolation.slerp</code></a>
*   <a href="./tfg/math/interpolation/slerp/InterpolationType.md"><code>tfg.math.interpolation.slerp.InterpolationType</code></a>
*   <a href="./tfg/math/interpolation/slerp/interpolate.md"><code>tfg.math.interpolation.slerp.interpolate</code></a>
*   <a href="./tfg/math/interpolation/slerp/interpolate_with_weights.md"><code>tfg.math.interpolation.slerp.interpolate_with_weights</code></a>
*   <a href="./tfg/math/interpolation/slerp/quaternion_weights.md"><code>tfg.math.interpolation.slerp.quaternion_weights</code></a>
*   <a href="./tfg/math/interpolation/slerp/vector_weights.md"><code>tfg.math.interpolation.slerp.vector_weights</code></a>
*   <a href="./tfg/math/interpolation/weighted.md"><code>tfg.math.interpolation.weighted</code></a>
*   <a href="./tfg/math/interpolation/weighted/interpolate.md"><code>tfg.math.interpolation.weighted.interpolate</code></a>
*   <a href="./tfg/math/math_helpers.md"><code>tfg.math.math_helpers</code></a>
*   <a href="./tfg/math/math_helpers/cartesian_to_spherical_coordinates.md"><code>tfg.math.math_helpers.cartesian_to_spherical_coordinates</code></a>
*   <a href="./tfg/math/math_helpers/double_factorial.md"><code>tfg.math.math_helpers.double_factorial</code></a>
*   <a href="./tfg/math/math_helpers/factorial.md"><code>tfg.math.math_helpers.factorial</code></a>
*   <a href="./tfg/math/math_helpers/spherical_to_cartesian_coordinates.md"><code>tfg.math.math_helpers.spherical_to_cartesian_coordinates</code></a>
*   <a href="./tfg/math/math_helpers/square_to_spherical_coordinates.md"><code>tfg.math.math_helpers.square_to_spherical_coordinates</code></a>
*   <a href="./tfg/math/optimizer.md"><code>tfg.math.optimizer</code></a>
*   <a href="./tfg/math/optimizer/levenberg_marquardt.md"><code>tfg.math.optimizer.levenberg_marquardt</code></a>
*   <a href="./tfg/math/optimizer/levenberg_marquardt/minimize.md"><code>tfg.math.optimizer.levenberg_marquardt.minimize</code></a>
*   <a href="./tfg/math/spherical_harmonics.md"><code>tfg.math.spherical_harmonics</code></a>
*   <a href="./tfg/math/spherical_harmonics/evaluate_legendre_polynomial.md"><code>tfg.math.spherical_harmonics.evaluate_legendre_polynomial</code></a>
*   <a href="./tfg/math/spherical_harmonics/evaluate_spherical_harmonics.md"><code>tfg.math.spherical_harmonics.evaluate_spherical_harmonics</code></a>
*   <a href="./tfg/math/spherical_harmonics/generate_l_m_permutations.md"><code>tfg.math.spherical_harmonics.generate_l_m_permutations</code></a>
*   <a href="./tfg/math/spherical_harmonics/generate_l_m_zonal.md"><code>tfg.math.spherical_harmonics.generate_l_m_zonal</code></a>
*   <a href="./tfg/math/spherical_harmonics/integration_product.md"><code>tfg.math.spherical_harmonics.integration_product</code></a>
*   <a href="./tfg/math/spherical_harmonics/rotate_zonal_harmonics.md"><code>tfg.math.spherical_harmonics.rotate_zonal_harmonics</code></a>
*   <a href="./tfg/math/spherical_harmonics/tile_zonal_coefficients.md"><code>tfg.math.spherical_harmonics.tile_zonal_coefficients</code></a>
*   <a href="./tfg/math/vector.md"><code>tfg.math.vector</code></a>
*   <a href="./tfg/math/vector/cross.md"><code>tfg.math.vector.cross</code></a>
*   <a href="./tfg/math/vector/dot.md"><code>tfg.math.vector.dot</code></a>
*   <a href="./tfg/math/vector/reflect.md"><code>tfg.math.vector.reflect</code></a>
*   <a href="./tfg/nn.md"><code>tfg.nn</code></a>
*   <a href="./tfg/nn/layer.md"><code>tfg.nn.layer</code></a>
*   <a href="./tfg/nn/layer/graph_convolution.md"><code>tfg.nn.layer.graph_convolution</code></a>
*   <a href="./tfg/nn/layer/graph_convolution/FeatureSteeredConvolutionKerasLayer.md"><code>tfg.nn.layer.graph_convolution.FeatureSteeredConvolutionKerasLayer</code></a>
*   <a href="./tfg/nn/layer/graph_convolution/feature_steered_convolution_layer.md"><code>tfg.nn.layer.graph_convolution.feature_steered_convolution_layer</code></a>
*   <a href="./tfg/rendering.md"><code>tfg.rendering</code></a>
*   <a href="./tfg/rendering/camera.md"><code>tfg.rendering.camera</code></a>
*   <a href="./tfg/rendering/camera/orthographic.md"><code>tfg.rendering.camera.orthographic</code></a>
*   <a href="./tfg/rendering/camera/orthographic/project.md"><code>tfg.rendering.camera.orthographic.project</code></a>
*   <a href="./tfg/rendering/camera/orthographic/ray.md"><code>tfg.rendering.camera.orthographic.ray</code></a>
*   <a href="./tfg/rendering/camera/orthographic/unproject.md"><code>tfg.rendering.camera.orthographic.unproject</code></a>
*   <a href="./tfg/rendering/camera/perspective.md"><code>tfg.rendering.camera.perspective</code></a>
*   <a href="./tfg/rendering/camera/perspective/intrinsics_from_matrix.md"><code>tfg.rendering.camera.perspective.intrinsics_from_matrix</code></a>
*   <a href="./tfg/rendering/camera/perspective/matrix_from_intrinsics.md"><code>tfg.rendering.camera.perspective.matrix_from_intrinsics</code></a>
*   <a href="./tfg/rendering/camera/perspective/project.md"><code>tfg.rendering.camera.perspective.project</code></a>
*   <a href="./tfg/rendering/camera/perspective/ray.md"><code>tfg.rendering.camera.perspective.ray</code></a>
*   <a href="./tfg/rendering/camera/perspective/unproject.md"><code>tfg.rendering.camera.perspective.unproject</code></a>
*   <a href="./tfg/rendering/reflectance.md"><code>tfg.rendering.reflectance</code></a>
*   <a href="./tfg/rendering/reflectance/blinn_phong.md"><code>tfg.rendering.reflectance.blinn_phong</code></a>
*   <a href="./tfg/rendering/reflectance/blinn_phong/brdf.md"><code>tfg.rendering.reflectance.blinn_phong.brdf</code></a>
*   <a href="./tfg/rendering/reflectance/lambertian.md"><code>tfg.rendering.reflectance.lambertian</code></a>
*   <a href="./tfg/rendering/reflectance/lambertian/brdf.md"><code>tfg.rendering.reflectance.lambertian.brdf</code></a>
*   <a href="./tfg/rendering/reflectance/phong.md"><code>tfg.rendering.reflectance.phong</code></a>
*   <a href="./tfg/rendering/reflectance/phong/brdf.md"><code>tfg.rendering.reflectance.phong.brdf</code></a>
    <!-- mdlint on -->
