<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfg.geometry.transformation.quaternion.normalize" />
<meta itemprop="path" content="Stable" />
</div>

# tfg.geometry.transformation.quaternion.normalize

Normalizes a quaternion.

``` python
tfg.geometry.transformation.quaternion.normalize(
    quaternion,
    eps=1e-12,
    name=None
)
```



Defined in [`geometry/transformation/quaternion.py`](https://github.com/tensorflow/graphics/blob/master/tensorflow_graphics/geometry/transformation/quaternion.py).

<!-- Placeholder for "Used in" -->

#### Note:

In the following, A1 to An are optional batch dimensions.


#### Args:

* <b>`quaternion`</b>:  A tensor of shape `[A1, ..., An, 4]`, where the last dimension
  represents a quaternion.
* <b>`eps`</b>: A lower bound value for the norm that defaults to 1e-12.
* <b>`name`</b>: A name for this op that defaults to "quaternion_normalize".


#### Returns:

A N-D tensor of shape `[?, ..., ?, 1]` where the quaternion elements have
been normalized.


#### Raises:

* <b>`ValueError`</b>: If the shape of `quaternion` is not supported.