<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfg.geometry.transformation.rotation_matrix_3d" />
<meta itemprop="path" content="Stable" />
</div>

# Module: tfg.geometry.transformation.rotation_matrix_3d

This module implements TensorFlow 3d rotation matrix utility functions.



Defined in [`geometry/transformation/rotation_matrix_3d.py`](https://github.com/tensorflow/graphics/blob/master/tensorflow_graphics/geometry/transformation/rotation_matrix_3d.py).

<!-- Placeholder for "Used in" -->

More details rotation matrices can be found on [this page.]
(https://en.wikipedia.org/wiki/Rotation_matrix)

## Functions

[`assert_rotation_matrix_normalized(...)`](../../../tfg/geometry/transformation/rotation_matrix_3d/assert_rotation_matrix_normalized.md): Checks whether a matrix is a rotation matrix.

[`from_axis_angle(...)`](../../../tfg/geometry/transformation/rotation_matrix_3d/from_axis_angle.md): Convert an axis-angle representation to a rotation matrix.

[`from_euler(...)`](../../../tfg/geometry/transformation/rotation_matrix_3d/from_euler.md): Convert an Euler angle representation to a rotation matrix.

[`from_euler_with_small_angles_approximation(...)`](../../../tfg/geometry/transformation/rotation_matrix_3d/from_euler_with_small_angles_approximation.md): Convert an Euler angle representation to a rotation matrix.

[`from_quaternion(...)`](../../../tfg/geometry/transformation/rotation_matrix_3d/from_quaternion.md): Convert a quaternion to a rotation matrix.

[`inverse(...)`](../../../tfg/geometry/transformation/rotation_matrix_3d/inverse.md): Computes the inverse of a 3D rotation matrix.

[`is_valid(...)`](../../../tfg/geometry/transformation/rotation_matrix_3d/is_valid.md): Determines if a matrix is a valid rotation matrix.

[`rotate(...)`](../../../tfg/geometry/transformation/rotation_matrix_3d/rotate.md): Rotate a point using a rotation matrix 3d.

