<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfg.math.spherical_harmonics" />
<meta itemprop="path" content="Stable" />
</div>

# Module: tfg.math.spherical_harmonics

This module implements routines required for spherical harmonics lighting.



Defined in [`math/spherical_harmonics.py`](https://github.com/tensorflow/graphics/blob/master/tensorflow_graphics/math/spherical_harmonics.py).

<!-- Placeholder for "Used in" -->


## Functions

[`evaluate_legendre_polynomial(...)`](../../tfg/math/spherical_harmonics/evaluate_legendre_polynomial.md): Evaluates the Legendre polynomial of degree l and order m at x.

[`evaluate_spherical_harmonics(...)`](../../tfg/math/spherical_harmonics/evaluate_spherical_harmonics.md): Evaluates a point sample of a Spherical Harmonic basis function.

[`generate_l_m_permutations(...)`](../../tfg/math/spherical_harmonics/generate_l_m_permutations.md): Generates permutations of degree l and order m for spherical harmonics.

[`generate_l_m_zonal(...)`](../../tfg/math/spherical_harmonics/generate_l_m_zonal.md): Generates l and m coefficients for zonal harmonics.

[`integration_product(...)`](../../tfg/math/spherical_harmonics/integration_product.md): Computes the integral of harmonics1.harmonics2 over the sphere.

[`rotate_zonal_harmonics(...)`](../../tfg/math/spherical_harmonics/rotate_zonal_harmonics.md): Rotates zonal harmonics.

[`tile_zonal_coefficients(...)`](../../tfg/math/spherical_harmonics/tile_zonal_coefficients.md): Tiles zonal coefficients.

